%define upstream_name    MooseX-Types-Email
%define upstream_version 0.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Email address validation type constraint for Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::Abstract)
BuildRequires: perl(Email::Valid)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Common)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
Moose type constraints which uses the Email::Valid manpage and the
Email::Valid manpage to check for valid email addresses and messages.

Note that 'EmailMessage' must be an object that can be passed to the
Email::Valid manpage. Currently, constraining strings is not supported due
to the leniency of Email::Abstract.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 370337
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.4.0-1.mga2
+ Revision: 107182
- update to 0.004

* Tue Mar 15 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 71850
- imported package perl-MooseX-Types-Email

